# ApplicationFramework
TKPLCAF
MDF

# MDF_TypeASDriverMap Class Reference

`#include <MDF_TypeASDriverMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDF_TypeASDriverMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT MDF_TypeASDriverMap & | Assign (const MDF_TypeASDriverMap &Other)
MDF_TypeASDriverMap & | operator= (const MDF_TypeASDriverMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MDF_TypeASDriverMap ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(Standard_Type)&K, const Handle(MDF_ASDriver)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(Standard_Type)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(Standard_Type)&K)
Standard_EXPORT const Handle_MDF_ASDriver & | Find (const Handle(Standard_Type)&K) const
const Handle_MDF_ASDriver & | operator() (const Handle(Standard_Type)&K) const
Standard_EXPORT Handle_MDF_ASDriver & | ChangeFind (const Handle(Standard_Type)&K)
Handle_MDF_ASDriver & | operator() (const Handle(Standard_Type)&K)

## Private Member Functions

Standard_EXPORT | MDF_TypeASDriverMap (const MDF_TypeASDriverMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MDF_TypeASDriverMap::MDF_TypeASDriverMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

MDF_TypeASDriverMap::~MDF_TypeASDriverMap | ( |  | ) | `[inline]`

Standard_EXPORT MDF_TypeASDriverMap::MDF_TypeASDriverMap | ( | const MDF_TypeASDriverMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MDF_TypeASDriverMap& MDF_TypeASDriverMap::Assign | ( | const MDF_TypeASDriverMap & | Other | ) |

Standard_EXPORT Standard_Boolean MDF_TypeASDriverMap::Bind | ( | const Handle(Standard_Type)& | K,
|  | const Handle(MDF_ASDriver)& | I
| ) |

Standard_EXPORT Handle_MDF_ASDriver& MDF_TypeASDriverMap::ChangeFind | ( | const Handle(Standard_Type)& | K | ) |

Standard_EXPORT void MDF_TypeASDriverMap::Clear | ( |  | ) |

Standard_EXPORT const Handle_MDF_ASDriver& MDF_TypeASDriverMap::Find | ( | const Handle(Standard_Type)& | K | ) | const

Standard_EXPORT Standard_Boolean MDF_TypeASDriverMap::IsBound | ( | const Handle(Standard_Type)& | K | ) | const

void MDF_TypeASDriverMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF_TypeASDriverMap::operator new | ( | size_t | size | ) | `[inline]`

void* MDF_TypeASDriverMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MDF_ASDriver& MDF_TypeASDriverMap::operator() | ( | const Handle(Standard_Type)& | K | ) | `[inline]`

const Handle_MDF_ASDriver& MDF_TypeASDriverMap::operator() | ( | const Handle(Standard_Type)& | K | ) | const`[inline]`

MDF_TypeASDriverMap& MDF_TypeASDriverMap::operator= | ( | const MDF_TypeASDriverMap & | Other | ) | `[inline]`

Standard_EXPORT void MDF_TypeASDriverMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MDF_TypeASDriverMap::UnBind | ( | const Handle(Standard_Type)& | K | ) |

The documentation for this class was generated from the following file:

- MDF_TypeASDriverMap.hxx